[retour au README.md](../../../README.md)  
[Retour aux Documents](../../README_DOCUMENTS.md)  
[Retour au diagramme de classes](../README_DIAGRAMMES.md)  

````plantuml
@startuml
actor User as u
boundary View as v
control Controller as c
entity Model as m

m-->c: pendingRequests: Request[]

c-->v: DisplayPendingRequests(pendingRequests)
v-->u: Show Friend Requests

u->v: RespondToRequest(requestId, response)
v-->c: RecordResponse(requestId, response)

    c->m: UpdateRequestStatus(requestId, response)
    m-->c: updateStatus: success/failure
    c-->v: NotifyUpdateResult(updateStatus)
    v-->u: Show Response Result

@enduml
``````